#!/usr/bin/env bash
SCRIPT_DIR="$( cd "$( dirname "$0" )" && pwd )"

cd $SCRIPT_DIR

RULES_BRANCH="$(git symbolic-ref HEAD 2>/dev/null)" ||
RULES_BRANCH="(unnamed branch)"

RULES_COMMIT=$(git rev-parse HEAD)

NOSETESTS=nosetests
TEST_COMMAND="$NOSETESTS $@"
VERBOSITY=${NOSE_VERBOSE:-2}
NOSE_PROCESSES_LOCAL=${NOSE_PROCESSES:-1}
NOSE_TIMEOUT=${NOSE_PROCESS_TIMEOUT:-600}
NOSE_RESTART_WORKER=${NOSE_PROCESS_RESTARTWORKER:-1}
echo "Running: $TEST_COMMAND"
echo "Verbosity: $VERBOSITY"
echo ""
echo "consortium_rules on: $RULES_BRANCH"
echo "consortium_rules at: $RULES_COMMIT"
echo ""
NOSE_VERBOSE=$VERBOSITY \
NOSE_PROCESSES=$NOSE_PROCESSES_LOCAL \
NOSE_PROCESS_TIMEOUT=$NOSE_TIMEOUT \
NOSE_PROCESS_RESTARTWORKER=$NOSE_RESTART_WORKER \
$TEST_COMMAND
