# Element Values Are Equal  
Rule ID: DQC_0004   
Status: Final  
Release date: November 19, 2015  
Effective date: January 1, 2016

## Rule function

This rule tests that the value reported for the element **Assets** equals the value reported for the element **Liabilities and Equity**.  The rule allows a tolerance for rounding between the values tested of 2 based on the scale of the values. For example, if the values are reported in millions, the rounding tolerance would be $2 million.

## Problem solved by the rule

This rule can detect where companies have incorrect values (e.g., different rounding) for the standard element for **Assets** or the standard element for **Liabilities and Equity**. This is a problem for consumption because the data for these elements will be extracted incorrectly for analysis.  

## Example rule message 
(Note: Presentation style of rule messages may differ among software implementations of the rules.) 

Assets with a value of 340,000,000 is not equal to the total of Liabilities and Equity with a value of 350,000,000.  These values should be equal.   
The properties of this us-gaap:Assets fact are:   
Period: 2014-12-31   
Dimensions: none   
Unit: USD   
Rule version: 1.0

## For Developers

The Global Rule Logic document contains general guidelines for implementation of rules.

The rule message template contains text and parametric reference to arguments of the rule operation, using the syntax ${parameter} to indicate that insertion of a parameter's value is to occur.  

### Message template

${fact1.label} with a value of ${fact1.value} is not equal to the total of ${fact2.label} with a value of ${fact2.value}.  These values should be equal.   
The properties of this ${fact1.name} fact are:  
Period: ${fact1.period}  
Dimensions: ${fact1.dimensions}  
Unit: ${fact1.unit}  
Rule version: ${ruleVersion}        

### Rule element ID index

The rule element id is used to identify unique elements or combinations of elements tested in the rule. 

| Rule element | Element label (fact1) | Element name (fact1) | Element label (fact2) | Element name (fact2) |
| ----- | ----- | ----- | ----- | ----- | 
| DQC_0004.16 | Assets | Assets | Liabilities and Equity | LiabilitiesAndStockholdersEquity |


© Copyright 2015 - 2016, XBRL US Inc. All rights reserved.   
See [License](../../License.md) for license information.  
See [Patent Notice](../../PatentNotice.md) for patent infringement notice.
