# Deprecated element is used in the filing
Rule ID: DQC_0018  
Status:  Final  
Release date: September 29, 2016
Effective date: January 1, 2017

## Rule function
This rule evaluates if the company has used a deprecated element in the filing. The rule specifically checks if a deprecated element is included in the presentation relationship defined in the company's extension taxonomy. Deprecated elements are determined by taking all children of the “DeprecatedItems” element defined in the presentation tree of the US GAAP taxonomy. Errors are reported for each deprecated element, including errors for each line item with an associcated deprecated member or axis.
## Authoritative reference
None.
## Problem solved by the rule
Users of the data do not expect that deprecated elements will be used in a filing. These elements should be replaced with another element in the taxonomy or removed from the company filing. By eliminating values using these elements in the filing the filing will not include inappropriate elements and be more accurate.

Noncontrolling Interest, Increase from Equity Issuance or Sale of Parent Equity Interest is a deprecated item, but has been included in the company’s presentation tree. Deprecated items should not be used  in the filing.

Guidance on the replacement item to use for this item is provided in the Deprecated Label of the MinorityInterestIncreaseFromStockIssuance concept.

Rule version: 2.0
For Developers
The Global Rule Logic document contains general guidelines for implementation of rules.
The rule message template contains text and parametric reference to arguments of the rule operation, using the syntax ${parameter} to indicate that insertion of a parameter’s value is to occur.
## Message template

${element.label}  is a deprecated item, but has been included in the company’s presentation tree. Deprecated items should not be used  in the filing.

Guidance on the replacement item to use for this item is provided in the Deprecated Label of the ${element.name} concept.

## Rule element ID index
The rule element id is used to identify unique elements or combinations of elements tested in the rule.

| Rule element ID | Parent Element | Children |
| ---- | ---- | ---- |
| DQC_0018.34 | DeprecatedItems | All |

© Copyright 2016, XBRL US Inc. All rights reserved.   
See [License](../../License.md) for license information.  
See [Patent Notice](../../PatentNotice.md) for patent infringement notice.