# Document Period End Date Context
Rule ID: DQC_0033   
Status: Final  
Release date: November 19, 2015  
Effective date: January 1, 2016

## Rule function

This rule tests that the ending date used with Document and Entity Information elements matches the ending context date for the value of the Document and Entity Information element **Document Period End Date**.

This rule excludes the following elements from the test:
**Entity Common Stock, Shares Outstanding** 
**Entity Public Float**
**Entity Number of Employees**
**Entity Listing, Depository Receipt Ratio**

This rule will not run if the context date for the **Document Period End Date** is different by more than 3 days from the value of that element. 

## Authoritative reference

EDGAR Filer Manual 6.5.19

## Problem solved by the rule

Filers apply incorrect reporting dates to elements. This error impacts the consumption of the elements because users will extract the data based on the expected reporting period.  Using an incorrect date will mean that facts about the company will be in the wrong reporting period. 

## Example rule message 
(Note: Presentation style of rule messages may differ among software implementations of the rules.)

The ending date of 2014-11-30 used for Document Type must be the same as the Document Period End Date, 2014-12-31. Revise either the date of the Document Type or the date of the Document Period End Date.   
The properties of this dei:DocumentType fact are:   
Period: 2014-01-01 to 2014-11-30    
Dimensions: none   
Unit: none   
Rule version: 1.0

## For Developers

The Global Rule Logic document contains general guidelines for implementation of rules.

The rule message template contains text and parametric reference to arguments of the rule operation, using the syntax ${parameter} to indicate that insertion of a parameter's value is to occur. 

### Message template

The ending date of ${fact1.period.endDate} used for ${fact1.label} must be the same as the Document Period End Date, ${dei:DocumentPeriodEndDate.fact.period.endDate}. Revise either the date of the ${fact1.label} or the date of the Document Period End Date.    
The properties of this ${fact1.name} fact are:   
Period: ${fact1.period}   
Dimensions: ${fact1.dimensions}   
Unit: ${fact1.unit}   
Rule version: ${ruleVersion}

### Rule element ID index

Element IDs are not used in the case of this rule since the detection of DEI elements tested is dynamic as reported in the filing. 

| Rule (no element ID) | Element tested (fact1) | 
| ----- | ----- |
| DQC_0033 | All DEI elements in the instance are tested except for EntityCommonStockSharesOutstanding, EntityPublicFloat,  DocumentPeriodEndDate, EntityNumberOfEmployees and Entity Listing, Depository Receipt Ratio | 


© Copyright 2015 - 2016, XBRL US Inc. All rights reserved.   
See [License](../../License.md) for license information.  
See [Patent Notice](../../PatentNotice.md) for patent infringement notice.
