# Document Period End Date Context / Fact Value Check
Rule ID: DQC_0036   
Status: Final  
Release date: November 19, 2015  
Effective date: January 1, 2016

## Rule function

This rule tests that the ending context date for the **Document Period End Date** is not different by more than 3 days from the value of that element.

## Authoritative reference

EDGAR Filer Manual 6.5.19; EDGAR Filer Manual 6.5.20 requires that the reporting period end date is reported as a Document and Entity Information value for the element **Document Period End Date**.  

## Problem solved by the rule

Filers may not update the document period end date when they roll forward their filing to a subsequent filing period when moving from one filing to the next. This error impacts the consumption of the elements because users will extract the data based on the expected reporting date. For example, if the date is not updated, Q3 data will be reported as Q2 data.

## Example rule message 
(Note: Presentation style of rule messages may differ among software implementations of the rules.)

The ending date of 2014-11-30 used for Document Period End Date must match the value reported for the element, 2014-12-31. Revise either the ending context date or the value of the Document Period End Date.    
The properties of this dei:DocumentPeriodEndDate fact are:   
Period: 2014-01-01 to 2014-11-30   
Dimensions: none   
Unit: none   
Rule version: 1.0

## For Developers

The Global Rule Logic document contains general guidelines for implementation of rules.

The rule message template contains text and parametric reference to arguments of the rule operation, using the syntax ${parameter} to indicate that insertion of a parameter's value is to occur. 

### Message template

The ending date of ${fact1.period.endDate} used for ${fact1.label} must match the value reported for the element, ${fact1.value}. Revise either the ending context date or the value of the ${fact1.label}.     
The properties of this ${fact1.name} fact are:   
Period: ${fact1.period}   
Dimensions: ${fact1.dimensions}   
Unit: ${fact1.unit}   
Rule version: ${ruleVersion}

### Rule element ID index

The rule element id is used to identify unique elements or combinations of elements tested in the rule. 

| Rule element ID | Element label | Element name |
| ----- | ----- | ----- |
| DQC_0036.1 | Document Period End Date | DocumentPeriodEndDate |


© Copyright 2015 - 2016, XBRL US Inc. All rights reserved.   
See [License](../../License.md) for license information.  
See [Patent Notice](../../PatentNotice.md) for patent infringement notice.
