# Axis with a Default Member that Differs from the US GAAP Taxonomy  
Rule ID: DQC_0041  
Status:  Final  
Release date: September 29, 2016
Effective date: January 1, 2017

## Rule function
This rule evaluates whether the dimension default is associated with a given axis in the company’s extension taxonomy.  Companies should not change the default member defined in the US GAAP Taxonomy for a given axis in their extension taxonomy.

## Authoritative reference
This issue is addressed in Question E.16 (Updated 02/05/2013) (formerly Question 38) of the SEC Staff Interpretations and FAQs Related to Interactive Data Disclosure.

Specifically this guidance states “In addition, filers should also avoid creating new domains or changing default member elements for pre-defined dimensions.”

## Problem solved by the rule
Users of the data do not expect that the default member will be changed and assume that any value reported with an axis has the same default member across all filers.  For example, if a company reports a value of Revenues with no dimensions it is assumed that this represents revenues of the consolidated entity.  However, if the company changed the default member of the Legal Entity axis to the parent company member then every value without a dimension would represent the parent company and not the revenue of the consolidated entity.  

## Example rule message
The dimension default defined for the axis in the US GAAP Taxonomy should not be changed in a company extension taxonomy. The default for the DebtInstrumentAxis in the base taxonomy is DebtInstrumentNameDomain, but the default has been replaced with DebtInstrumentDomain.  
Rule version: 1.0

## For Developers
The Global Rule Logic document contains general guidelines for implementation of rules.
The rule message template contains text and parametric reference to arguments of the rule operation, using the syntax ${parameter} to indicate that insertion of a parameter’s value is to occur.

### Message template

The dimension default defined for the axis in the US GAAP taxonomy should not be changed in a company extension taxonomy. The default for the ${axis_name} in the base taxonomy is ${axis_default_name}, but the default has been replaced with ${def_name}.  
Rule version: 1.0

## Rule element ID index
The rule element id is used to identify unique elements or combinations of elements tested in the rule.

| Rule element ID | Axis Name | Member name
| ---- | ---- | ---- |
| DQC_0041.73 | All Axes | Default

© Copyright 2016, XBRL US Inc. All rights reserved.   
See [License](../../License.md) for license information.  
See [Patent Notice](../../PatentNotice.md) for patent infringement notice.
